<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.product.biz.mapper.KxsShopGoodsSpecMapper">

    <resultMap type="com.kxs.product.api.model.KxsShopGoodsSpec" id="KxsShopGoodsSpecMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="specification" property="specification" />
        <result column="value" property="value" />
        <result column="goods_id" property="goodsId" />
        <result column="sort" property="sort" />

    </resultMap>
    <select id="getGoodsSpecList" resultType="com.kxs.product.api.vo.kxsapp.shop.ShopGoodsSpecVO">
        select * from kxs_shop_goods_spec
        <where>
            del_flag = 0
            and goods_id = #{goodsId}
        </where>
        order by sort asc
    </select>

</mapper>
